Robotsystem of the Robot Group Leipzig: OSGMainLoop Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSGMainLoop Class Reference

`#include <osgmainloop.h>`

List of all members.

## Public Member Functions
| OSGMainLoop ()
## Protected Attributes
void(* | startFunction )(const OdeHandle &, GlobalData &globalData)
| user defined start function (called at the beginning of the simulation)
void(* | endFunction )(GlobalData &globalData)
| user defined end function (called after the simulation)
void(* | configFunction )(GlobalData &globalData)
| pointer to the config function of the user
void(* | commandFunction )(const OdeHandle &, GlobalData &globalData, int key)
void(* | collisionCallback )(const OdeHandle &, void *data, dGeomID o1, dGeomID o2)
| pointer to the user defined additional function
void(* | additionalCallback )(GlobalData &globalData, bool draw, bool pause)
| pointer to the user defined additional function which is executed in each simulationstep

## Constructor & Destructor Documentation

OSGMainLoop | ( |  | ) | `[inline]`

## Member Data Documentation

void(* additionalCallback)(GlobalData &globalData, bool draw, bool pause)`[protected]`

pointer to the user defined additional function which is executed in each simulationstep

void(* collisionCallback)(const OdeHandle &, void *data, dGeomID o1, dGeomID o2)`[protected]`

pointer to the user defined additional function

void(* commandFunction)(const OdeHandle &, GlobalData &globalData, int key)`[protected]`

void(* configFunction)(GlobalData &globalData)`[protected]`

pointer to the config function of the user

void(* endFunction)(GlobalData &globalData)`[protected]`

user defined end function (called after the simulation)

void(* startFunction)(const OdeHandle &, GlobalData &globalData)`[protected]`

user defined start function (called at the beginning of the simulation)

The documentation for this class was generated from the following file:

- osgmainloop.h